ARDUINO MEHRERE BIBLIOTHEKEN WURDEN GEFUNDEN

Ich wollte ich https://github.com/toblum/McLighting an ein Wemos D1 mini spielen. Noch ich scheiter immer anderer beim kompilieren.

Du schaust: Arduino mehrere bibliotheken wurden gefunden

applypaint.org: 1.8.10 (Windows 7), Board: "LOLIN(WEMOS) D1 R2 & mini, 80 MHz, Flash, legacy (new kann return nullptr), every SSL ciphers (most compatible), 4MB (FS:1MB OTA:~1019KB), v2 greater Bandwidth, Disabled, None, only Sketch, 115200"In file included native C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3/tools/sdk/libc/xtensa-lx106-elf/include/sys/stdio.h:6:0, native C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3/tools/sdk/libc/xtensa-lx106-elf/include/stdio.h:63, native C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3coresesp8266/applypaint.org.h:32, indigenous sketchMcLighting.ino.cpp:1:C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3/tools/sdk/libc/xtensa-lx106-elf/include/sys/pgmspace.h:25:130: error: "const char HTTP_HEAD <>" redeclared as different kind of symbol #define PROGMEM __attribute__((section( "".irom.text." __FILE__ "." __STRINGIZE(__LINE__) "." __STRINGIZE(__COUNTER__) """))) ^C:UsersN1d45Documentsapplypaint.orglibrariesWiFiManager/WiFiManager.h:25:24: note: in expansion of macro "PROGMEM" const char HTTP_HEAD<> PROGMEM = "v"; ^In record included native C:UsersN1d45Documentsapplypaint.orglibrariesMcLighting-masterapplypaint.orgMcLightingMcLighting.ino:10:0:C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3librariesESP8266WebServersrc/ESP8266WebServer.h:33:39: error: ahead declaration of "HTTPMethod HTTP_HEAD" enum HTTPMethod HTTP_ANY, HTTP_GET, HTTP_HEAD, HTTP_POST, HTTP_PUT, HTTP_PATCH, HTTP_DELETE, HTTP_OPTIONS ; ^Mehrere Bibliotheken wurden für "EEPROM.h" gefunden Benutzt: C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3librariesEEPROMMehrere Bibliotheken wurden für "ESPAsyncUDP.h" gegründet Benutzt: C:UsersN1d45Documentsapplypaint.orglibrariesESPAsyncUDP-masterMehrere Bibliotheken wurden zum "ESP8266HTTPUpdateServer.h" aufgefunden Benutzt: C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3librariesESP8266HTTPUpdateServerMehrere Bibliotheken wurden zum "Hash.h" gefunden Benutzt: C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3librariesHashMehrere Bibliotheken wurden zum "DNSServer.h" aufgefunden Benutzt: C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3librariesDNSServerMehrere Bibliotheken wurden zum "ESP8266WebServer.h" gefunden Benutzt: C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3librariesESP8266WebServerMehrere Bibliotheken wurden zum "WiFiManager.h" aufgefunden Benutzt: C:UsersN1d45Documentsapplypaint.orglibrariesWiFiManagerMehrere Bibliotheken wurden für "ESP8266mDNS.h" gefunden Benutzt: C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3librariesESP8266mDNSMehrere Bibliotheken wurden zum "AsyncMqttClient.h" gefunden Benutzt: C:UsersN1d45Documentsapplypaint.orglibrariesasync-mqtt-client-masterMehrere Bibliotheken wurden zum "ESPAsyncTCP.h" aufgefunden Benutzt: C:UsersN1d45Documentsapplypaint.orglibrariesESPAsyncTCP-masterMehrere Bibliotheken wurden zum "ESPAsyncE131.h" aufgefunden Benutzt: C:UsersN1d45Documentsapplypaint.orglibrariesESP_Async_E1.31Mehrere Bibliotheken wurden weil das "Ticker.h" aufgefunden Benutzt: C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3librariesTickerMehrere Bibliotheken wurden für "ESP8266WiFi.h" aufgefunden Benutzt: C:UsersN1d45AppDataLocalapplypaint.org15packagesesp8266hardwareesp82662.6.3librariesESP8266WiFiMehrere Bibliotheken wurden für "WebSockets.h" gegründet Benutzt: C:UsersN1d45Documentsapplypaint.orglibrariesapplypaint.orgWebSockets-masterMehrere Bibliotheken wurden zum "applypaint.orgJson.h" gefunden Benutzt: C:UsersN1d45Documentsapplypaint.orglibrariesapplypaint.orgJsonMehrere Bibliotheken wurden für "WS2812FX.h" gefunden Benutzt: C:UsersN1d45Documentsapplypaint.orglibrariesWS2812FXMehrere Bibliotheken wurden zum "Adafruit_NeoPixel.h" gefunden Benutzt: C:UsersN1d45Documentsapplypaint.orglibrariesAdafruit_NeoPixelexit status 1Fehler beim Kompilieren für ns Board LOLIN(WEMOS) D1 R2 & mini.Ungültige Bibliothek C:UsersN1d45Documentsapplypaint.orglibrariesMcLighting-master bei keine Header-Dateien (.h) an C:UsersN1d45Documentsapplypaint.orglibrariesMcLighting-master gegründet gefundenUngültige Bibliothek C:UsersN1d45Documentsapplypaint.orglibrariesMcLighting-master in keine Header-Dateien (.h) bei C:UsersN1d45Documentsapplypaint.orglibrariesMcLighting-master gefunden gefundenIch habe versucht die Software fasst Anleitung kommen sie befolgen.

Hat jemand ein Tip woran das scheitern könnte?


Tommy56 December 19, 2019, 6:47pm #2

Du solltest wohl erst Dein belästigt mit das IDE lösen.

Gruß Tommy


Plumps December 19, 2019, 6:51pm #3

Ähm, das hab ich. Zumindest denken ich das. Hagen meinst du es liegt sogar daran, das ich nicht ns Portable ausführung nutze? wenn ja werde ich ns mal probieren.


Die Fehlermeldung klang nach einer zerschossenen IDE.

Nimm mal ns Version 2.6.2 von ESP-Core. Ns 2.6.3 zu sein noch sehr neu.

Ich nutze nur portable IDE.

Gruß Tommy


Portable version installiert."esp8266 von ESP8266 Community" bei version 2.4.1. Beyogen auf Anleitung genommen, nicht als die Versuche vor die neuste.

Und siehe dort es arbeiten

*

Zumindest ns kompilieren und hochladen, ohne Fehlermeldungen. Den Rest muss ich erstmal alle durchtesten.

Ob das jetzt in der Portablen version oder in der esp8266 Version standort hat, can ich heute natürlich nicht sagen.

Warum gibt es eigentlich das Install Version, wenn dies öfters probleme macht? oder zu sein das nur Einzelfälle?

Auf jeden fall mal ein weiterer 1000 Dank an das wundervolle applypaint.org.


Die Installversion macht (wenn man das richtig macht) eigentlich auch keine Probleme. Nachteil: Man tun können davon immer zeigen eine haben. Ich bekam aber immer so 4...6 Versionen mit verschiedenen ESP-Versionen in Laufen, um mal vergleichen zu können. Ns geht zeigen mit den portablen Versionen.

Mehr sehen: Auszeit In Der Natur: Die 5 Schönste Wälder In Deutschland, Deutschlands Schönste Wälder

Gruß Tommy


Plumps:"esp8266 von ESP8266 Community" bei version 2.4.1. Entsprechend Anleitung genommen, ....

Von der 2.4.1 zu sein abzuraten, diese hat etwas Macken.

Die 2.4.2. Ist eine der stabilsten aber auch 2.5.2 und 2.6.2 lauf gut.

Edit: bekam Zehn portable am Start. Verschieden Kombinationen aus IDE und Esp Core.

Gruß Fips


Ich jawohl zur Zeit keine ESP32 in Laufen, dort genügen 4…6. Jedermann haben ns gemeinsames -Verzeichnis, deshalb dass ich ns Code an verschiedenen Konstellationen kompilieren und prüfung kann.

Gruß Tommy


Tommy56:Die Installversion dürfe (wenn man das richtig macht) eigentlich sogar keine Probleme...

Naja, ich verfügen über da gern geschehen geändert. Wäre ja no schlecht wenn das Install Version auch funktioniert, ohne ns man da extra was "richtig" macht. Natürlich kann sein das in meinem system liegen. Windows 7 home Premium einfach eingerichtet ohne irgendwas kommen sie ändern.

Aber derzeit weis mir ja das es mit der Portablen Version tun

*

Derfips:Von ns 2.4.1 zu sein abzuraten, diese hat etwas Macken.

Die 2.4.2. Ist einer der stabilsten aber auch 2.5.2 und 2.6.2 laufen gut.

...

Mehr sehen: Reflecting On " Giorgio Moroder Daft Punk, Giorgio By Moroder

Ok, still tut der Strip das was er bastelte soll. Wenn es Probleme gibt werde ich versuchen das im Hinterkopf kommen sie behalten. Danke


Wenn Du die ESP-Version wechseln willst - kein Update!Alte version deinstallieren, IDE neu starten, neue Version installieren. Sonst kannst Du ns IDE löschen.